--
-- Ostallgaeu Map by www.LS11DL.de
--
-- Erbauer: Stefan "MAurUS" M.
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

ostallgaeu = {}

local ostallgaeu_mt = Class(ostallgaeu, Mission00);

function ostallgaeu:new(baseDirectory, customMt)
    local mt = customMt;
    if mt == nil then
        mt = ostallgaeu_mt;
    end;
    local self = ostallgaeu:superClass():new(baseDirectory, mt);
    return self;
end;

function ostallgaeu:delete()
    ostallgaeu:superClass().delete(self);
end;

function ostallgaeu:load()
    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_day_night.i3d", self.baseDirectory), true, 8, true, true);
    
    -- load the map
    self:loadMap(Utils.getFilename("ostallgaeu.i3d", self.baseDirectory));
    BGA = Utils.getFilename("pdapics/bga.png", self.baseDirectory);

    -- load paths for AI traffic vehicles
    self:loadMap(Utils.getFilename("map01/paths/trafficPaths.i3d", self.baseDirectory));
    
    -- load paths for AI pedestrians
    self:loadMap(Utils.getFilename("map01/paths/pedestrianPaths.i3d", self.baseDirectory));
        
    -- load the PDA map image
    self.missionPDA:loadMap(Utils.getFilename("map01/pda_map.png", self.baseDirectory));
	
    AnimalHusbandry.initialize();
    self:loadMap(Utils.getFilename("$data/maps/missions/CattleMeadow.i3d", self.baseDirectory));
    	
	-- load the PDA Hotspots
    self.missionPDA:createMapHotspot("Brewery", "dataS2/missions/hud_pda_spot_brewery.png", 914, 869, 0.055, 0.036, false, false, 0);
    self.missionPDA:createMapHotspot("BGA", BGA , 557, 1031 , 0.066, 0.066, false, false, 0);
    self.missionPDA:createMapHotspot("Farming Shop", "dataS2/missions/hud_pda_spot_shop.png", 1010, 746, 0.055, 0.036, false, false, 0);
    self.missionPDA:createMapHotspot("Bell", "dataS2/missions/hud_pda_spot_bell.png", 896, 923, 0.055, 0.036, false, false, 0);
    self.missionPDA:createMapHotspot("Mill", "dataS2/missions/hud_pda_spot_mill.png", 1355, 967, 0.055, 0.036, false, false, 0);
    self.missionPDA:createMapHotspot("Vista", "dataS2/missions/hud_pda_spot_vista.png", 423, 426, 0.055, 0.036, false, false, 0);
	
	--load the Glass Containers
    self:loadGlassContainers(Utils.getFilename("missions/ostallgaeuContainers.i3d", self.baseDirectory));
	
	--load the Bottles
    self:loadCollectableBottles(Utils.getFilename("missions/ostallgaeuBottles.i3d", self.baseDirectory));
	
   --load Info Triggers
   self:loadInfoTriggers(Utils.getFilename("missions/ostallgaeuInfoTriggers.i3d", self.baseDirectory));	
 
	ostallgaeu:superClass().load(self);
end
function ostallgaeu:loadFinished()
    ostallgaeu:superClass().loadFinished(self);
end;

function ostallgaeu:mouseEvent(posX, posY, isDown, isUp, button)
    ostallgaeu:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function ostallgaeu:keyEvent(unicode, sym, modifier, isDown)
    ostallgaeu:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function ostallgaeu:update(dt)
    ostallgaeu:superClass().update(self, dt);
end;

function ostallgaeu:draw()
    ostallgaeu:superClass().draw(self);
end;
